LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 11-24-2010, 12:20 PM   #1
xerch
LQ Newbie
 
Registered: Nov 2010
Posts: 2

Rep: Reputation: 0
Exclamation Trouble updating Libxml 2.7.7-3.6.i586.rpm


I tried to upgrade the libxml library on an opensuse server, and is giving me the following error:

libxml2 = 2.7.3 is needed by (installed) libxml2-python-2.7.3-2.2.i586

Now, if i try to update the libxml2-python library, is giving me the following dependencies error:

libxml2.so.2(LIBXML2_2.7.3) is needed by libxml2-python-2.7.7-3.7.i586

So... this is kind of weird. I know that i can force the installation of the libxml, but since this is a production server for a PervasiveSQL BD i don't want to mess with forcing things.

Any help will be very appreciated. Thanks!
 
Old 12-02-2010, 02:02 PM   #2
xerch
LQ Newbie
 
Registered: Nov 2010
Posts: 2

Original Poster
Rep: Reputation: 0
Thanks for all the help guys! This newbie was able to solve it.I hope it helps somebody else.

I was able to solve it with the help of Zypper:

$ zypper repos --uri

# then i checked the repositories, i saw that i had to update the repositories to 11.3, so i had to disable the old repos and install the 11.3 repos
$ sudo zypper modifyrepo --all --disable
$ sudo zypper addrepo --name "openSUSE-11.3 OSS" http://download.opensuse.org/distrib...11.3/repo/oss/ repo-11.3-oss
$ sudo zypper addrepo --name "openSUSE-11.3 Non-OSS" http://download.opensuse.org/distrib.../repo/non-oss/ repo-11.3-

# Once i had the right repos, make the installation of both packages...

$ sudo zypper refresh
$ sudo zypper install libxml2

# And in the end, return to the 11.2 repos

$ sudo zypper removerepo repo-11.3-update
$ sudo zypper removerepo repo-11.3-oss
$ sudo zypper removerepo repo-11.3-non-oss

$ sudo zypper modifyrepo -e repo-oss
$ sudo zypper modifyrepo -e repo-non-oss
$ sudo zypper modifyrepo -e repo-update
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
httpd-2.2.13-1.i586 rpm for fedora 11 techdruid Fedora 1 08-21-2009 04:08 AM
Looking for a copy of putty-0.58-5.3.i586.rpm WPutney Linux - Software 1 09-30-2008 05:14 PM
kdelibs3-3.4.0-20.10 RPM for i586 or i385 cthomas Linux - Software 4 01-07-2007 01:10 PM
looking for slmodem-2.9.10-9mdk.i586.rpm wnguza Linux - Software 1 06-08-2006 01:21 AM
k3b-0.10.3-0.pm.0.i586.rpm gazza Linux - Newbie 9 01-12-2004 12:22 AM


All times are GMT -5. The time now is 02:37 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration